#ifndef cpu_H
#define cpu_H

#include "gpgpu02.h"

template <typename Type>
class CPUgpgpu 
{
	int width, height;
	Type * inMatrix;
	Type * relMatrix; // For reload

public:
	CPUgpgpu();
	~CPUgpgpu();
	time_t Compute();
	void ComputeMulMat(int mul);
	void ComputeTest( double a, double b );
	void InputData( char * fileName, bool fake=false );
	void ReloadData();
	void OutputData( char * fileName, char * precision=NULL );
	void OutputData( Type * src=NULL, int w=-1, int h=-1, char * fileName=NULL, char * precision=NULL );
	void LogInfo();
};

#endif